# Get all transactions (https://developer.godaddy.com/en/docs/references/rest/transactions/get-transactions)

---
title: Get all transactions
description: Retrieve all the transactions for a specific store using the store ID.
full: true
---

## GET /stores/{storeId}/transactions

Get all transactions

Retrieve all the transactions for a specific store using the store ID.

### Query parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `page` | integer | no |  |
| `pageSize` | integer | no |  |
| `totalRequired` | boolean | no |  |
| `transactionIds` | array | no | Transaction ids to filter |
| `updatedAtAfter` | unknown | no | Transaction filter updatedAt start date |
| `updatedAtBefore` | unknown | no | Transaction filter updatedAt end date |
| `sortBy` | string | no | Transaction sort field |
| `sortOrder` | string | no | Transaction sort order |

### Responses

**200** — Transactions List

Content-Type: `application/json`

Schema:

- allOf(unknown)
  - `items`: array
      - items:

**default** — Error

Content-Type: `application/json`

Schema:

- schema reference: `#/x-ext/e2dac50`

**Security:** requires `PAT`; scopes `commerce.transaction:read`.
